function [F, I, S, D, R, T] = CalibTarget(PIs, par)

% Unpacking parameter values
parlist = fieldnames(par);
npar = length(parlist);
beta = [];
for i = 1:npar
   eval([parlist{i} ' = par.' parlist{i} ';']) 
end

pi_s1 = abs(PIs(1))/1000;
pi_s2 = abs(PIs(2))/1000;
pi_s3 = abs(PIs(3));
pi_s4 = abs(PIs(4))/1000;
pi_s5 = abs(PIs(5))/1000;

% Initialization
I = zeros(H+1,1);
S = zeros(H+1,1);
D = zeros(H+1,1);
R = zeros(H+1,1);
T = zeros(H,1);

% Initial conditions
I(1) = I0;
S(1) = 1 - I(1);
D(1) = 0;
R(1) = 0;

%iterate on SIR model equations
for t = 1:H
    T(t,1) = pi_s1*S(t)*c_ss^2*I(t) + pi_s2*S(t)*n_ss^2*I(t) + pi_s3*S(t)*I(t) ...
                + pi_s4*S(t)*c_ss*I(t)*n_ss + pi_s5*S(t)*n_ss*I(t)*c_ss;
    S(t+1,1) = S(t) - T(t);
    I(t+1,1) = I(t) + T(t) - (pi_r + pi_d)*I(t);
    R(t+1,1) = R(t) + pi_r*I(t);
    D(t+1,1) = D(t) + pi_d*I(t);
end

F(1) = (pi_s1*c_ss^2)/(pi_s1*c_ss^2 + pi_s2*n_ss^2 + pi_s3 + pi_s4*c_ss*n_ss + pi_s5*n_ss*c_ss) - target_1;
F(2) = (pi_s2*n_ss^2)/(pi_s1*c_ss^2 + pi_s2*n_ss^2 + pi_s3 + pi_s4*c_ss*n_ss + pi_s5*n_ss*c_ss) - target_2;
F(3) = (pi_s4*c_ss*n_ss)/(pi_s1*c_ss^2 + pi_s2*n_ss^2 + pi_s3 + pi_s4*c_ss*n_ss + pi_s5*n_ss*c_ss) - target_4;
F(4) = (pi_s5*c_ss*n_ss)/(pi_s1*c_ss^2 + pi_s2*n_ss^2 + pi_s3 + pi_s4*c_ss*n_ss + pi_s5*n_ss*c_ss) - target_5;
F(5) = R(end) + D(end) - target_rd;



